Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class PortletException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.jetspeed.portlet.PortletException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccessDeniedException, UnavailableException

public class PortletException
extends Exception

The `PortletException` class defines a general exception that a portlet can throw when it encounters difficulty.

See Also:
  Serialized Form

Constructor Summary
`PortletException()` Constructs a new portlet exception.
`PortletException(String text)` Constructs a new portlet exception with the given text.
`PortletException(String text, Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception and include a message about the "root case" that interfered with its normal operation, including a description message.
`PortletException(Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception.

Method Summary
`Throwable` | `getRootCause()` Returns the exception that cause this portlet exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletException

    public PortletException()

  Constructs a new portlet exception.

### PortletException

    public PortletException(String text)

  Constructs a new portlet exception with the given text. The portlet container may use the text write it to a log.
  Parameters:
    `text` - the exception text

### PortletException

    public PortletException(String text,
                            Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception and include a message about the "root case" that interfered with its normal operation, including a description message.
  Parameters:
    `aText` - the exception text
    `aCause` - the root cause

### PortletException

    public PortletException(Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception. The exception's message is based on the localized message of the underlying exception.
  Parameters:
    `aCause` - the root cause

Method Detail

### getRootCause

    public Throwable getRootCause()

  Returns the exception that cause this portlet exception.
  Returns:
    the `Throwable` that caused this portlet exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD